botruntime
API ReferenceFiles API

Get File

Get file

GET
/v1/files/{id}

Path Parameters

id*string

File ID or Key

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/files/string"
{  "file": {    "id": "string",    "botId": "string",    "key": "string",    "url": "string",    "size": 0,    "contentType": "string",    "tags": {      "property1": "string",      "property2": "string"    },    "metadata": {      "property1": null,      "property2": null    },    "createdAt": "string",    "updatedAt": "string",    "accessPolicies": [      "integrations"    ],    "index": true,    "status": "upload_pending",    "failedStatusReason": "string",    "expiresAt": "string",    "owner": {      "type": "bot",      "id": "string",      "name": "string",      "alias": "string"    },    "indexingStack": "v1"  }}
{  "file": {    "id": "string",    "botId": "string",    "key": "string",    "url": "string",    "size": 0,    "contentType": "string",    "tags": {      "property1": "string",      "property2": "string"    },    "metadata": {      "property1": null,      "property2": null    },    "createdAt": "string",    "updatedAt": "string",    "accessPolicies": [      "integrations"    ],    "index": true,    "status": "upload_pending",    "failedStatusReason": "string",    "expiresAt": "string",    "owner": {      "type": "bot",      "id": "string",      "name": "string",      "alias": "string"    },    "indexingStack": "v1"  }}